<div class="app-max-width-wrapper min-table-width">
  <h1 class="page-header">
    {{'active_organization.header'|transloco}}: {{activeOrgName$ | ngrxPush}}
  </h1>
  <!-- <pre>{{ roleRequests$ | async | json }}</pre> -->
  <app-role-request-button
    (newRequest)="openRoleRequestDialog()"
    (leaveOrg)="leaveOrgClicked()"
    [enabled]="!(hasOpenRequests$|ngrxPush)"
    [canLeaveOrganization]="canLeaveOrganization$|ngrxPush">
  </app-role-request-button>
  <!-- [roles]="(roles$|ngrxPush)" -->
  <app-role-requests-table
    [roleRequests]="(roleRequests$|ngrxPush)"
    (revokeRequest)="revokeRequestClicked($event)">
  </app-role-requests-table>
  <app-organization-members-table
    [members]="(members$|ngrxPush)">
  </app-organization-members-table>
</div>
